# $Revision: 1.21 $, $Date: 2007-12-19 19:15:43 $
Summary:	clamav-based antivirus SMTP-level gateway
Summary(pl.UTF-8):	Oparta na clamavie bramka antywirusowa SMTP
Name:		clamsmtp
Version:	1.9
Release:	1
License:	BSD
Group:		Applications/Networking
Source0:	http://memberwebs.com/nielsen/software/clamsmtp/%{name}-%{version}.tar.gz
# Source0-md5:	cdc7a318e9583f7c3ff925f6ef5f6ae7
Source1:	%{name}.init
Patch0:		%{name}-config.patch
URL:		http://memberwebs.com/nielsen/software/clamsmtp/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libtool
BuildRequires:	rpmbuild(macros) >= 1.268
Requires(post,preun):	/sbin/chkconfig
Requires:	clamav
Requires:	rc-scripts
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
clamsmtp provides transparent antivirus scanner gateway for the SMTP
protocol.

%description -l pl.UTF-8
clamsmtp dostarcza przezroczystą bramkę antywirusową dla protokołu
SMTP.

%prep
%setup -q
%patch0 -p1

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__automake}

%configure

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT{%{_sbindir},%{_sysconfdir},/etc/rc.d/init.d}
install -d $RPM_BUILD_ROOT{%{_mandir}/{man8,man5},/var/spool/clamsmtpd/tmp}

install %{SOURCE1} $RPM_BUILD_ROOT/etc/rc.d/init.d/clamsmtpd
install doc/clamsmtpd.conf $RPM_BUILD_ROOT%{_sysconfdir}
install src/clamsmtpd $RPM_BUILD_ROOT%{_sbindir}
install doc/clamsmtpd.conf.5 $RPM_BUILD_ROOT%{_mandir}/man5/
install doc/clamsmtpd.8 $RPM_BUILD_ROOT%{_mandir}/man8/

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/chkconfig --add clamsmtpd
%service clamsmtpd restart

%preun
if [ "$1" = "0" ]; then
	%service clamsmtpd stop
	/sbin/chkconfig --del clamsmtpd
fi

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README
%attr(754,root,root) /etc/rc.d/init.d/clamsmtpd
%attr(755,root,root) %{_sbindir}/*
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/clamsmtpd.conf
%dir %attr(770,root,clamav) /var/spool/clamsmtpd
%dir %attr(770,root,clamav) /var/spool/clamsmtpd/tmp
%{_mandir}/man5/clamsmtpd.conf.5*
%{_mandir}/man8/clamsmtpd.8*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: clamsmtp.spec,v $
Revision 1.21  2007-12-19 19:15:43  zbyniu
- up to 1.9

Revision 1.20  2007-02-12 21:23:51  glen
- tabs in preamble

Revision 1.19  2007/02/12 00:48:42  baggins
- converted to UTF-8

Revision 1.18  2006/02/24 15:20:04  glen
- use %service

Revision 1.17  2005/12/28 08:38:53  dzeus
- up to 1.6

Revision 1.16  2005/12/04 22:58:06  glen
- adapterized (sorted %verify flags)

Revision 1.15  2005/08/26 18:19:22  andree
- updated to 1.5

Revision 1.14  2005/05/12 23:25:48  zbyniu
- up to 1.4.1

Revision 1.13  2005/03/23 12:35:34  gotar
- %desc

Revision 1.12  2005/02/04 18:05:25  matowy
- up to 1.3

Revision 1.11  2004/12/14 20:50:54  andree
- fixed perm

Revision 1.10  2004/12/04 23:16:27  paszczus
- updated to 1.2

Revision 1.9  2004/12/01 22:55:17  andree
- added -config.patch - (fix sock location, tmp path)
- added tmp dir; rel. 1

Revision 1.8  2004/11/28 13:20:12  andree
- R: clamav; cleanups
- change init name to clamsmtpd; rel 0.6

Revision 1.7  2004/11/23 19:55:58  andree
- updated to 1.1
- updated %%doc, %%files
- run libtoolize,aclocal,ac,am (and proper BR)
- rel. 0.5 (tests needed)

Revision 1.6  2004/10/22 10:31:32  paszczus
- updated to 1.0

Revision 1.5  2004/10/12 17:10:28  darekr
- updated to 0.9.6
- more files in %doc

Revision 1.4  2004/09/13 19:48:07  qboosh
- pl fix, cleanups

Revision 1.3  2004/09/12 21:49:51  ankry
- cosmetics

Revision 1.2  2004/09/12 21:34:22  paszczus
- typo

Revision 1.1  2004/09/12 21:31:34  hunter
- new kewl stuff
